%define anolis_release 3
%global modname attrs

# Turn the tests off when bootstrapping Python, because pytest requires attrs
%bcond_without tests

Name:           python-attrs
Version:        22.2.0
Release:        %{anolis_release}%{dist}
Summary:        Python attributes without boilerplate

License:        MIT
URL:            http://www.attrs.org/
BuildArch:      noarch
Source0:        https://github.com/%{name}/%{modname}/archive/refs/tags/%{version}.tar.gz

BuildRequires:  python%{python3_pkgversion}-devel
%if %{with tests}
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-hypothesis
BuildRequires:  python%{python3_pkgversion}-six
BuildRequires:  python%{python3_pkgversion}-zope-interface
%endif

%description
attrs is an MIT-licensed Python package with class decorators that
ease the chores of implementing the most common attribute-related
object protocols.

%package -n python%{python3_pkgversion}-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{modname}}

%description -n python%{python3_pkgversion}-%{modname}
attrs is an MIT-licensed Python package with class decorators that
ease the chores of implementing the most common attribute-related
object protocols.

%prep
%setup -q -n %{modname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{modname}

%if %{with tests}
%check
PYTHONPATH=%{buildroot}/%{python3_sitelib} py.test-3 -v
%endif

%files -n python%{python3_pkgversion}-%{modname}
%license LICENSE
%{python3_sitelib}/*

%changelog
* Mon Mar 25 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 22.2.0-3
- Enable tests

* Fri Mar 22 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 22.2.0-2
- Disable tests and ebuild with python3.11

* Fri Dec 30 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 22.2.0-1
- update to version 22.2.0

* Mon Apr 18 2022 Zhongling He <zhonglingh@linux.alibaba.com> - 21.4.0-1
- Init package from upstream v21.4.0
